
"""
Test file for main.py
Version 0.1

Call this file, just use command `python test_main.py`
if need to run command, to call main.py directly, can update test_main.py parameters and run
"""


import json
import sys
from main import main_func

# Initial parameters here
input1 = "testvalue"
input2 = True

# Compose args_json here
args_json = {
    "input1": json.dumps(input1),
    "input2": json.dumps(input2)
}

sys.argv.append(json.dumps(args_json))
main_func()
